-- Capturer 子模块配置
-- 此文件被 AvRecorder 模块通过 includes("capturer") 引入

-- 包含子模块
includes("video")
includes("audio")

-- Capturer 库
target("capturer_lib")
    add_rules("qt.static")
    set_kind("static")
    if is_plat("windows") then
        add_defines("UNICODE", "_UNICODE")
    end
    
    -- 主要源文件
    add_files("finder.cpp")
    add_headerfiles("finder.h")
    
    -- 依赖的子模块
    add_deps("video_capturer")
    add_deps("audio_capturer")
    
    -- 包含目录
    add_includedirs("../", {public = true})
    add_includedirs(".", {public = true})

    
    -- FFmpeg 配置
    add_ffmpeg_config()
    
    -- Windows 特定链接库
    if is_plat("windows") then
        add_syslinks("user32", "gdi32", "ole32")
    end
    add_frameworks("QtCore", "QtGui", "QtWidgets", "QtNetwork", "QtMultimedia")
target_end()
